<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
 	<xsl:template match="element[@name='errors']">
		<xsl:call-template name="element-title"/>
			<xsl:choose>
				<xsl:when test="empty">
					<fo:block >No errors were encounted during the generation of this report.</fo:block>
				</xsl:when>
			<xsl:otherwise>			
				<fo:table table-layout="fixed">
					<fo:table-column column-width="1cm"/>
					<fo:table-column column-width="17cm"/>			
					<fo:table-body>	
						<xsl:for-each select="error">
							<fo:table-row border-width="1pt" border-color="#999999" border-style="solid">
								<fo:table-cell border-right="1pt solid #999999" padding="3pt">
									<fo:block font-size="10pt">
										<xsl:value-of select="@errorNum" />
									</fo:block>
								</fo:table-cell>
								<fo:table-cell padding="3pt" >
									<fo:block font-size="10pt">
										<xsl:value-of select="."/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</xsl:for-each>
					</fo:table-body>		
				</fo:table>		
			</xsl:otherwise>
		</xsl:choose>				
	</xsl:template>
</xsl:stylesheet>