<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<!-- *************************************************************************************************
	Detail
	*************************************************************************************************** -->
	<xsl:template name="weeklyDetail" match="element[@name='weeklyDetail']">
		<fo:block space-after="1cm"/>
			<xsl:choose>
				<xsl:when test="empty">
					<fo:block>No detail data found for report period.</fo:block>
				</xsl:when>
				<xsl:otherwise>		
					<xsl:for-each select="servicechecks/servicecheck">
						<fo:block>
							<xsl:if test="@break-after">
								<xsl:attribute name="break-after">
									<xsl:value-of select="@break-after" />
								</xsl:attribute>
							</xsl:if>
							<xsl:call-template name="chart"/>
							<xsl:call-template name="availPercentage"/>
						</fo:block>
					</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>			
		<fo:block></fo:block>		
	</xsl:template>
</xsl:stylesheet>