<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- Availability Overview -->
 	<xsl:template match="element[@name='availabilityOverview']">
		<xsl:call-template name="element-title"/>
		<xsl:choose>
			<xsl:when test="empty">
				<fo:block>No average availability data found for report period.</fo:block>
			</xsl:when>
			<xsl:otherwise>
				<fo:block>
					<fo:table table-layout="fixed"  border-width="1pt" border-color="#999999" border-style="solid">
							<fo:table-column column-width="6cm"/>
							<fo:table-column column-width="2cm"/>
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell xsl:use-attribute-sets="tableCell">
										<fo:block>Availability</fo:block>
									</fo:table-cell>
									<fo:table-cell  xsl:use-attribute-sets="tableCell">
										<fo:block text-align="right"><xsl:value-of select="availibility"/>%</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell  xsl:use-attribute-sets="tableCell">
										<fo:block>Scheduled Downtime</fo:block>
									</fo:table-cell>
									<fo:table-cell  xsl:use-attribute-sets="tableCell">
										<fo:block text-align="right"><xsl:value-of select="scheduled-downtime"/>%</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell  xsl:use-attribute-sets="tableCell">
										<fo:block>Unscheduled Downtime</fo:block>
									</fo:table-cell >
									<fo:table-cell xsl:use-attribute-sets="tableCell">
										<fo:block text-align="right"><xsl:value-of select="unscheduled-downtime"/>%</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
					</fo:table>
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
